C
C This file is issued from the MODULEF library, but has been 
C subsequently modified
C
      SUBROUTINE ZALDY6 (M,P,NBC,NOM,ITYPE,NBMOT,IADRES)
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C BUT :
C     ALLOCATION DYNAMIQUE
C     INITIALISE L'EN-TETE D'UN TABLEAU ET RETOURNE SON ADRESSE
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C PROGRAMMEUR : F. HECHT - INRIA - AVRIL 86
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
      DIMENSION M(*)
      CHARACTER*(*) NOM
      INTEGER P
      J=P+1
      CALL INTCHA (M(J),NOM,NBC)
      NBM=NBMCHA(NOM(1:NBC))
      J=J+NBM
      ITYPE   = M(J  )
      NBMOT   = M(J+1)
      IADRES  = J+2
      IF(ITYPE.LE.4) RETURN
      IF(ITYPE.LT.7) THEN
        IADRES=IADRES+MOD(IADRES+1,2)
      ELSE
        IADRES=IADRES+3-MOD(IADRES+2,4)
      END IF
      END
